Moneybird logo
Moneybird API

External sales invoices

External sales invoices are invoices created in other systems that you want to import into Moneybird for a complete overview of your revenue.


Create external sales invoice from attachment

POST
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/attachment{format}

Creates an external sales invoice from an attachment.

Required scope(s)

sales_invoices

Create external sales invoice from attachment › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Create external sales invoice from attachment › Request Body

file
​string · binary

Create external sales invoice from attachment › Responses

Status code

integer

List all ids and versions

GET
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/synchronization{format}

Returns all external sales invoices in the administration. The list contains the id and the version of the external sales invoice. Check if the version of an external sales invoice is newer than the version you have stored locally, use the POST variant for fetching external sales invoices with the given ids.

Required scope(s)

sales_invoices

List all ids and versions › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

List all ids and versions › query Parameters

filter
​string

Filters are key:value terms separated by commas (e.g. period:this_year,state:all). Any filter you pass replaces the defaults below entirely, so include every key you need — in particular pass an explicit period (a named period or a YYYYMMDD..YYYYMMDD range) to look beyond the default financial year. Available filters:

FilterTypeDefaultDescription
stateStringallall, new, open, late, or paid
periodStringthis_yearThis can either be the description of a period (this_week, prev_week, next_week, this_month, prev_month, next_month, this_quarter, prev_quarter, next_quarter, this_year, prev_year, next_year) or a custom period (201301..201302, 20130101..20130131)
contact_idIntegerSelect invoices belonging to a certain contact

You can filter by multiple states at the same time as well. To do this, separate the state values by a pipe: state:new|open.

Default: period:this_year

List all ids and versions › Responses

200

IDs and versions of records

​object[]
id
​integer | string
version
​integer | string

Fetch external sales invoices with given ids

POST
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/synchronization{format}

Given a list of external sales invoice ids, returns the external sales invoice information belonging to the external sales invoice. Returns a maximum of 100 external sales invoices, even if more ids are provided.

Required scope(s)

sales_invoices

Fetch external sales invoices with given ids › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Fetch external sales invoices with given ids › Request Body

ids
​(integer | string)[] · required

Fetch external sales invoices with given ids › Responses

A list of external sales invoices

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

contact_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

​
date
​string · date
state
​string · enum
Enum values:
new
open
late
paid
uncollectible
pending_payment
due_date
​string | null · date
reference
​string | null
entry_number
​integer
origin
​string | null · enum
Enum values:
upload
endpoint
si
email
si_local
si_peppol
api
moneybird_bv
source
​string | null
source_url
​string | null
currency
​currency

ISO 4217 currency code

paid_at
​string | null · date
created_at
​timestamp · date-time
updated_at
​timestamp · date-time
version
​version
​detail_response[]
​payment_response[]
total_paid
​string
total_unpaid
​string
total_unpaid_base
​string
prices_are_incl_tax
​boolean
total_price_excl_tax
​string
total_price_excl_tax_base
​string
total_price_incl_tax
​string
total_price_incl_tax_base
​string
marked_dubious_on
​string | null · date
marked_uncollectible_on
​string | null · date
​note_response[]
​attachment_response[]
​event_response[]
​tax_subtotal_response[]

Download attachment

GET
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/{external_sales_invoice_id}/attachments/{id}/download{format}

Download the attachment. The response will be a redirect to a temporarily available URL where the attachment can be downloaded. Use the Location header in the response to download the attachment.

Required scope(s)

sales_invoices

Download attachment › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

external_sales_invoice_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Download attachment › Responses

Found

string

Delete an attachment

DELETE
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/{external_sales_invoice_id}/attachments/{id}{format}

Deletes an attachment of an attachable.

Required scope(s)

sales_invoices

Delete an attachment › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

external_sales_invoice_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Delete an attachment › Responses

Attachment deleted

No data returned

Destroys note from entity

DELETE
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/{external_sales_invoice_id}/notes/{id}{format}

Deletes a note from the external sales invoice

Required scope(s)

sales_invoices

Destroys note from entity › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

external_sales_invoice_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Destroys note from entity › Responses

Note deleted

No data returned

Adds note to entity

POST
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/{external_sales_invoice_id}/notes{format}

Adds a note to the external sales invoice.

Required scope(s)

sales_invoices

Adds note to entity › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

external_sales_invoice_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Adds note to entity › Request Body

​object

Adds note to entity › Responses

Note created

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

entity_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

entity_type
​string
user_id
​identifier · pattern: ^\d+$

A unique record identifier

assignee_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

todo
​boolean | string | null
Default: false
note
​string | null
completed_at
​string | null · date-time
completed_by_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

todo_type
​string | null · enum
Enum values:
sales_invoice_due
purchase_invoice_due
general_document_reminder
general_document_due
new_document_awaiting_processing
new_financial_mutation_awaiting_processing
financial_mutations_not_updated
sales_invoice_payment_not_linked_to_financial_mutation
data
​object | null
created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Delete a payment

DELETE
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/{external_sales_invoice_id}/payments/{id}{format}

Deletes a payment from an external sales invoice.

Required scope(s)

sales_invoices

Delete a payment › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

external_sales_invoice_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Delete a payment › Responses

Payment deleted

No data returned

Create a payment

POST
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/{external_sales_invoice_id}/payments{format}

Registers a payment for a external sales invoice.

Required scope(s)

sales_invoices

Create a payment › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

external_sales_invoice_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Create a payment › Request Body

​object

Create a payment › Responses

Payment created

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

invoice_type
​string · enum
Enum values:
SalesInvoice
Document
ExternalSalesInvoice
VatDocument
invoice_id
​identifier · pattern: ^\d+$

A unique record identifier

financial_account_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

user_id
​identifier · pattern: ^\d+$

A unique record identifier

payment_transaction_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

transaction_identifier
​string | null
​number
​number
payment_date
​string · date
credit_invoice_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

financial_mutation_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

ledger_account_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

linked_payment_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

manual_payment_action
​string | null
created_at
​timestamp · date-time
updated_at
​timestamp · date-time

Add attachment to external sales invoice

POST
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/{id}/attachment{format}

Add an attachment to an external sales invoice.

Required scope(s)

sales_invoices

Add attachment to external sales invoice › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Add attachment to external sales invoice › Request Body

file
​string · binary

Add attachment to external sales invoice › Responses

Status code

integer

Mark as dubious

PATCH
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/{id}/mark_as_dubious{format}

This endpoint marks an external sales invoice as dubious.

Required scope(s)

sales_invoices

Mark as dubious › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Mark as dubious › Request Body

dubious_date
​string · date

Mark as dubious › Responses

External sales invoice updated

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

contact_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

​
date
​string · date
state
​string · enum
Enum values:
new
open
late
paid
uncollectible
pending_payment
due_date
​string | null · date
reference
​string | null
entry_number
​integer
origin
​string | null · enum
Enum values:
upload
endpoint
si
email
si_local
si_peppol
api
moneybird_bv
source
​string | null
source_url
​string | null
currency
​currency

ISO 4217 currency code

paid_at
​string | null · date
created_at
​timestamp · date-time
updated_at
​timestamp · date-time
version
​version
​detail_response[]
​payment_response[]
total_paid
​string
total_unpaid
​string
total_unpaid_base
​string
prices_are_incl_tax
​boolean
total_price_excl_tax
​string
total_price_excl_tax_base
​string
total_price_incl_tax
​string
total_price_incl_tax_base
​string
marked_dubious_on
​string | null · date
marked_uncollectible_on
​string | null · date
​note_response[]
​attachment_response[]
​event_response[]
​tax_subtotal_response[]

Mark as uncollectible

PATCH
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/{id}/mark_as_uncollectible{format}

This endpoint marks an external sales invoice as uncollectible.

Required scope(s)

sales_invoices

Mark as uncollectible › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Mark as uncollectible › Request Body

uncollectible_date
​string · date
book_method
​string

Can be revenue.

Mark as uncollectible › Responses

External sales invoice updated

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

contact_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

​
date
​string · date
state
​string · enum
Enum values:
new
open
late
paid
uncollectible
pending_payment
due_date
​string | null · date
reference
​string | null
entry_number
​integer
origin
​string | null · enum
Enum values:
upload
endpoint
si
email
si_local
si_peppol
api
moneybird_bv
source
​string | null
source_url
​string | null
currency
​currency

ISO 4217 currency code

paid_at
​string | null · date
created_at
​timestamp · date-time
updated_at
​timestamp · date-time
version
​version
​detail_response[]
​payment_response[]
total_paid
​string
total_unpaid
​string
total_unpaid_base
​string
prices_are_incl_tax
​boolean
total_price_excl_tax
​string
total_price_excl_tax_base
​string
total_price_incl_tax
​string
total_price_incl_tax_base
​string
marked_dubious_on
​string | null · date
marked_uncollectible_on
​string | null · date
​note_response[]
​attachment_response[]
​event_response[]
​tax_subtotal_response[]

Get an external sales invoice by id

GET
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/{id}{format}

Returns an external sales invoice in the administration.

Required scope(s)

sales_invoices

Get an external sales invoice by id › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Get an external sales invoice by id › Responses

An external sales invoice

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

contact_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

​
date
​string · date
state
​string · enum
Enum values:
new
open
late
paid
uncollectible
pending_payment
due_date
​string | null · date
reference
​string | null
entry_number
​integer
origin
​string | null · enum
Enum values:
upload
endpoint
si
email
si_local
si_peppol
api
moneybird_bv
source
​string | null
source_url
​string | null
currency
​currency

ISO 4217 currency code

paid_at
​string | null · date
created_at
​timestamp · date-time
updated_at
​timestamp · date-time
version
​version
​detail_response[]
​payment_response[]
total_paid
​string
total_unpaid
​string
total_unpaid_base
​string
prices_are_incl_tax
​boolean
total_price_excl_tax
​string
total_price_excl_tax_base
​string
total_price_incl_tax
​string
total_price_incl_tax_base
​string
marked_dubious_on
​string | null · date
marked_uncollectible_on
​string | null · date
​note_response[]
​attachment_response[]
​event_response[]
​tax_subtotal_response[]

Delete an external sales invoice

DELETE
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/{id}{format}

Deletes an external sales invoice.

Required scope(s)

sales_invoices

Delete an external sales invoice › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Delete an external sales invoice › Responses

External sales invoice deleted

No data returned

Update an external sales invoice

PATCH
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices/{id}{format}

When updating an external sales invoice, provide only the attributes you want to update. The other attributes will not be changed.

Required scope(s)

sales_invoices

Update an external sales invoice › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Update an external sales invoice › Request Body

​object

Update an external sales invoice › Responses

External sales invoice updated

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

contact_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

​
date
​string · date
state
​string · enum
Enum values:
new
open
late
paid
uncollectible
pending_payment
due_date
​string | null · date
reference
​string | null
entry_number
​integer
origin
​string | null · enum
Enum values:
upload
endpoint
si
email
si_local
si_peppol
api
moneybird_bv
source
​string | null
source_url
​string | null
currency
​currency

ISO 4217 currency code

paid_at
​string | null · date
created_at
​timestamp · date-time
updated_at
​timestamp · date-time
version
​version
​detail_response[]
​payment_response[]
total_paid
​string
total_unpaid
​string
total_unpaid_base
​string
prices_are_incl_tax
​boolean
total_price_excl_tax
​string
total_price_excl_tax_base
​string
total_price_incl_tax
​string
total_price_incl_tax_base
​string
marked_dubious_on
​string | null · date
marked_uncollectible_on
​string | null · date
​note_response[]
​attachment_response[]
​event_response[]
​tax_subtotal_response[]

List all external invoices

GET
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices{format}

Returns a paginated list of external sales invoices in the administration.

Required scope(s)

sales_invoices

List all external invoices › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

List all external invoices › query Parameters

filter
​string

Filters are key:value terms separated by commas (e.g. period:this_year,state:all). Any filter you pass replaces the defaults below entirely, so include every key you need — in particular pass an explicit period (a named period or a YYYYMMDD..YYYYMMDD range) to look beyond the default financial year. Available filters:

FilterTypeDefaultDescription
stateStringallall, new, open, late, or paid
periodStringthis_yearThis can either be the description of a period (this_week, prev_week, next_week, this_month, prev_month, next_month, this_quarter, prev_quarter, next_quarter, this_year, prev_year, next_year) or a custom period (201301..201302, 20130101..20130131)
contact_idIntegerSelect invoices belonging to a certain contact

You can filter by multiple states at the same time as well. To do this, separate the state values by a pipe: state:new|open.

Default: period:this_year
page
​integer | string
per_page
​integer | string · min: 1 · max: 100 · pattern: ^\d+$

List all external invoices › Responses

A list of external sales invoices

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

contact_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

​
date
​string · date
state
​string · enum
Enum values:
new
open
late
paid
uncollectible
pending_payment
due_date
​string | null · date
reference
​string | null
entry_number
​integer
origin
​string | null · enum
Enum values:
upload
endpoint
si
email
si_local
si_peppol
api
moneybird_bv
source
​string | null
source_url
​string | null
currency
​currency

ISO 4217 currency code

paid_at
​string | null · date
created_at
​timestamp · date-time
updated_at
​timestamp · date-time
version
​version
​detail_response[]
​payment_response[]
total_paid
​string
total_unpaid
​string
total_unpaid_base
​string
prices_are_incl_tax
​boolean
total_price_excl_tax
​string
total_price_excl_tax_base
​string
total_price_incl_tax
​string
total_price_incl_tax_base
​string
marked_dubious_on
​string | null · date
marked_uncollectible_on
​string | null · date
​note_response[]
​attachment_response[]
​event_response[]
​tax_subtotal_response[]

Create an external sales invoice

POST
https://moneybird.com/api/v2
/{administration_id}/external_sales_invoices{format}

Creates a new external sales invoice.

Required scope(s)

sales_invoices

Create an external sales invoice › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Create an external sales invoice › Request Body

​object

Create an external sales invoice › Responses

External sales invoice created

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

contact_id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

​
date
​string · date
state
​string · enum
Enum values:
new
open
late
paid
uncollectible
pending_payment
due_date
​string | null · date
reference
​string | null
entry_number
​integer
origin
​string | null · enum
Enum values:
upload
endpoint
si
email
si_local
si_peppol
api
moneybird_bv
source
​string | null
source_url
​string | null
currency
​currency

ISO 4217 currency code

paid_at
​string | null · date
created_at
​timestamp · date-time
updated_at
​timestamp · date-time
version
​version
​detail_response[]
​payment_response[]
total_paid
​string
total_unpaid
​string
total_unpaid_base
​string
prices_are_incl_tax
​boolean
total_price_excl_tax
​string
total_price_excl_tax_base
​string
total_price_incl_tax
​string
total_price_incl_tax_base
​string
marked_dubious_on
​string | null · date
marked_uncollectible_on
​string | null · date
​note_response[]
​attachment_response[]
​event_response[]
​tax_subtotal_response[]